For the complete documentation index, see llms.txt. This page is also available as Markdown.

Listing account addresses

GET /api/public/v1/accounts/:id/addresses

Returns the receiving addresses on the given account, including the address value once it has been generated. Results are paginated.

Headers

Name
Value

Content-Type

application/vnd.api+json

Authorization

Bearer <api_key>

Path Parameters

Name
Type
Description

id

string

Account ID.

URL Parameters

Name
Type
Description

order

string

Order in which the list of addresses should be returned. Can be created_at.

order_type

string

Order type. Can be either asc or desc.

page

number

Page for which you want to return addresses.

per_page

number

Number of addresses per page to return.

Response

{
  "data": [
    {
      "id": "138928d2-769d-478f-9508-90b7e4f8942a",
      "type": "addresses",
      "attributes": {
        "label": "Apr 11",
        "value": "TUbHdtAyfeiWTJPzF12gcBnpLtmLo3qgkS",
        "createdAt": "2025-04-11T07:19:09.729Z"
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "network": {
          "data": {
            "type": "network",
            "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2"
          }
        }
      }
    }
  ],
  "included": [
    {
      "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2",
      "type": "network",
      "attributes": {
        "currencyCode": "USDT",
        "name": "Tron (TRC20)",
        "code": "ttrx:usdt"
      }
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 1,
    "total": 22
  },
  "jsonapi": {
    "version": "1.0"
  }
}

Response Body

Name
Type
Description

data[].id

string

Address ID.

data[].type

string

Entity type returned. Always addresses.

data[].attributes.label

string

Address label, as set at creation.

data[].attributes.value

string

The address string. null while the address is still being generated — see Creating account address.

data[].attributes.createdAt

string

ISO 8601 timestamp of when the address was created.

data[].relationships.network

object

The network the address belongs to. The full network entity is returned in included[].

included[].id

string

Network ID.

included[].type

string

Entity type. Always network.

included[].attributes.currencyCode

string

Network currency code.

included[].attributes.name

string

Human-readable network name, e.g. Tron (TRC20).

included[].attributes.code

string

Network code, e.g. ttrx:usdt. See Supported currencies.

meta.page

number

Current page number.

meta.per_page

number

Page size used for the response.

meta.total

number

Total number of addresses on the account.

Last updated